commit:     6dfe6847cee58bb7ccafb8650a5d1254eec6bc3f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May  9 01:27:16 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May  9 01:27:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6dfe6847

dev-python/flufl-lock: Bump to 8.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/flufl-lock/Manifest                |  1 +
 dev-python/flufl-lock/flufl-lock-8.2.0.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/flufl-lock/Manifest b/dev-python/flufl-lock/Manifest
index 83e89481700c..b7041e2af46d 100644
--- a/dev-python/flufl-lock/Manifest
+++ b/dev-python/flufl-lock/Manifest
@@ -1 +1,2 @@
 DIST flufl_lock-8.1.0.tar.gz 32884 BLAKE2B 
9d5f557d4664cda5fb31b4f73d79e99acac342462a94b4c1405f1032c25fd60785986e6ae9e48629b2bae0977517ec888eacc6e52d4f75b41887d14521a85f54
 SHA512 
3238d4c89c3702584c19882caa903a8efd33ad49ad9286d7965694f2cfdf626adee887d6a524d293457b3cd176fc02fc71edfdc0b807c3aaaed0aa77f2188a3b
+DIST flufl_lock-8.2.0.tar.gz 33514 BLAKE2B 
99bb64435896d40c019403aefbe9171a25c28e1823b44f44c1940b3613f828e0cd69b4aa55b7cff9de774acb19137e3dd810768f76ff8736ba4d25f9fe31c99a
 SHA512 
c02c0a2d1cff6c775d692c6dabb2c01ec07f62472c082be998430d71ee26a4c2d5f351d956ea349d74029f1669b72bf5340e82e1f6b319979b750951410c6b94

diff --git a/dev-python/flufl-lock/flufl-lock-8.2.0.ebuild 
b/dev-python/flufl-lock/flufl-lock-8.2.0.ebuild
new file mode 100644
index 000000000000..5b4cc4ac601d
--- /dev/null
+++ b/dev-python/flufl-lock/flufl-lock-8.2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="NFS-safe file locking with timeouts for POSIX systems"
+HOMEPAGE="
+       https://gitlab.com/warsaw/flufl.lock/
+       https://pypi.org/project/flufl.lock/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/atpublic[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/sybil[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -e '/addopts/d' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to